"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "spec/fixtures/python/setup.py" between
fpm-1.13.1.tar.gz and fpm-1.14.0.tar.gz

About: fpm tries to make it easy and quick to build packages such as rpms, debs, OSX packages, etc.

setup.py  (fpm-1.13.1):setup.py  (fpm-1.14.0)
skipping to change at line 13 skipping to change at line 13
setup(name="Example", setup(name="Example",
version="1.0", version="1.0",
description="sample description", description="sample description",
author="sample author", author="sample author",
author_email="sample email", author_email="sample email",
url="sample url", url="sample url",
packages=[], packages=[],
package_dir={}, package_dir={},
install_requires=[ install_requires=[
"Dependency1", "dependency2", "Dependency1", "dependency2",
# XXX: I don't know what these python_version-dependent deps mean
# needs investigation
# Reference: PEP-0508
'rtxt-dep3; python_version == "2.0"', 'rtxt-dep3; python_version == "2.0"',
'rtxt-dep4; python_version > "2.0"', 'rtxt-dep4; python_version > "2.0"',
], ],
) )
 End of changes. 1 change blocks. 
0 lines changed or deleted 3 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)